Loading...
Searching...
No Matches
QGpgME::KeyListJob Class Referenceabstract

An abstract base class for asynchronous key listers. More...

`#include <keylistjob.h>`

Inheritance diagram for QGpgME::KeyListJob:
[legend]
Collaboration diagram for QGpgME::KeyListJob:
[legend]

## Signals

void | nextKey (const GpgME::Key &key)
void | result (const GpgME::KeyListResult &result, const std::vector< GpgME::Key > &keys=std::vector< GpgME::Key >(), const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

virtual GpgME::Error | start (const QStringList &patterns, bool secretOnly=false)=0
virtual GpgME::KeyListResult | exec (const QStringList &patterns, bool secretOnly, std::vector< GpgME::Key > &keys)=0
virtual void | addMode (GpgME::KeyListMode mode)=0
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| KeyListJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

An abstract base class for asynchronous key listers.

To use a KeyListJob, first obtain an instance from the CryptoBackend implementation, connect the nextKey(), progress() and result() signals to suitable slots and then start the key listing with a call to start(). This call might fail, in which case the KeylistJob instance will have scheduled it's own destruction with a call to QObject::deleteLater().

During keylisting, you will receive new key objects through the nextKey() signal as they arrive. After result() is emitted, the KeyListJob will schedule it's own destruction by calling QObject::deleteLater().

## Member Function Documentation

## addMode()

virtual void QGpgME::KeyListJob::addMode | ( | GpgME::KeyListMode | mode | ) |

pure virtual

Add a flag to the keylistmode used.

Implemented in QGpgME::QGpgMEKeyListJob.

## start()

virtual GpgME::Error QGpgME::KeyListJob::start | ( | const QStringList & | patterns,
|  | bool | secretOnly = false )

pure virtual

Starts the keylist operation. pattern is a list of patterns used to restrict the list of keys returned. Empty patterns are ignored. If pattern is empty or contains only empty strings, all keys are returned (however, the backend is free to truncate the result and should do so; when this happens, it will be reported by the reult object).

If secretOnly is true, only keys for which the secret key is also available are returned. Use this if you need to select a key for signing.

Implemented in QGpgME::QGpgMEKeyListJob.

The documentation for this class was generated from the following files:

- keylistjob.h
- keylistjob.cpp